## org.omg.PortableInterceptor
Class PolicyFactoryHolder

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.PolicyFactoryHolder

All Implemented Interfaces:
  Streamable

public final class PolicyFactoryHolder
extends java.lang.Object
implements Streamable

Holder class for : PolicyFactory

Author:
  OpenORB Compiler

Field Summary
`PolicyFactory` `value` Internal PolicyFactory value

Constructor Summary
`PolicyFactoryHolder()` Default constructor
`PolicyFactoryHolder(PolicyFactory initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read PolicyFactory from a marshalled stream
`TypeCode` `_type()` Return the PolicyFactory TypeCode
`void` `_write(OutputStream ostream)` Write PolicyFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public PolicyFactory value

  Internal PolicyFactory value

Constructor Detail

### PolicyFactoryHolder

    public PolicyFactoryHolder()

  Default constructor

### PolicyFactoryHolder

    public PolicyFactoryHolder(PolicyFactory initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read PolicyFactory from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write PolicyFactory into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the PolicyFactory TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode